Skip to main content

Get Environment Job Status

GET 

/v1/product/:product_id/environment/:environment_id/automation/:automation_id/status

Get the status of an environment automation job

Request

Path Parameters

    environment_id uuidrequired

    The environment ID

    automation_id uuidrequired

    The ID for the specific environment automation task

    product_id uuidrequired

    Product ID

Responses

Successful Response

Schema

    environment_id uuidrequired

    Environment for automation

    automation_id uuidrequired

    Identifier of automation job

    status CustomerAutomationStatus (string)

    Possible values: [in_progress, completed, action_required, cancelled, failure, queued, skipped, stale, timed_out, requested, waiting, pending, done]

    An enumeration.

Loading...